Skip to content
Uranus Docs
Esc
↑↓navigate↵open⌘Jpreview

Get choosable countries

Returns all countries available for selection.

Country names are localized according to the requested ISO 639-1 language code.

If no countries are found for the requested language, the endpoint still returns HTTP 200 with an empty data array.

GET/api/choosable-countries
Query parameters
langstring

ISO 639-1 language code. Defaults to English.

min length 2 · max length 2 · default: "en"
Responses
200

Countries found, or no countries available for the requested language.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:200
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableCountries.ChoosableCountriesMetadata

Metadata returned by the choosable countries endpoint.

Show properties
country_countinteger

Number of countries returned.

min 0
languagestring

ISO 639-1 language code used for localization.

response_time_msinteger

Server-side response time in milliseconds.

min 0
dataGetChoosableCountries.Country[]required

List of available countries.

Show properties
Array of GetChoosableCountries.Country
country_codestring | anyrequired

ISO 3166-1 alpha-3 country code.

min length 3 · max length 3
Show properties
Any of:
string
string
any
any
country_namestring | anyrequired

Localized country name.

Show properties
Any of:
string
string
any
any
messagestring

Human-readable response message.

500

Internal server error.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:500
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableCountries.ChoosableCountriesMetadata

Metadata returned by the choosable countries endpoint.

Show properties
country_countinteger

Number of countries returned.

min 0
languagestring

ISO 639-1 language code used for localization.

response_time_msinteger

Server-side response time in milliseconds.

min 0
dataany

Response payload.

Show properties
Any of:
any
any
any
any
messagestring

Human-readable response message.

Try it
Server
Parameters
Request
curl -X GET "https://api.kulturbytes.de/api/choosable-countries"
Response
{
  "service": "Uranus API",
  "api_version": "1.0",
  "response_type": "get-choosable-countries",
  "status": 200,
  "timestamp": "2026-09-20T09:48:48Z",
  "metadata": {
    "country_count": 249,
    "language": "en",
    "response_time_ms": 95
  },
  "data": [
    {
      "country_code": "AFG",
      "country_name": "Afghanistan"
    },
    {
      "country_code": "ALB",
      "country_name": "Albania"
    },
    {
      "country_code": "DZA",
      "country_name": "Algeria"
    },
    {
      "country_code": "ASM",
      "country_name": "American Samoa"
    },
    {
      "country_code": "AND",
      "country_name": "Andorra"
    }
  ]
}